QMaterialPackage (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QMaterialPackage

- All Superinterfaces:
    InterchangeObject, MaterialPackage, MediaEntity, MetadataObject, Package, WeakReferenceTarget

      public interface QMaterialPackage
      extends MaterialPackage

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioRushChannels()`
    `int` | `getAudioRushFrameRateDenominator()`
    `int` | `getAudioRushFrameRateNumerator()`
    `int` | `getAudioRushSampleBits()`
    `Stream` | `getRemoteRushBlob()`
    `int` | `getRushFileIsMultipleFrames()`
    `String` | `getRushFilePath()`
    `int` | `getRushIngestTC()`
    `int` | `getRushIngestTCDropframe()`
    `int` | `getRushIngestTCFPS()`
    `int` | `getRushIsFileSequence()`
    `int` | `getVideoRushBlackLevel()`
    `int` | `getVideoRushChromaRange()`
    `int` | `getVideoRushColourFormat()`
    `int` | `getVideoRushCompression()`
    `int` | `getVideoRushDominance()`
    `int` | `getVideoRushFirstLineIsF2()`
    `int` | `getVideoRushFormatFlags()`
    `int` | `getVideoRushHosepipedRight()`
    `int` | `getVideoRushKeycodeTimeBits()`
    `int` | `getVideoRushKeycodeType()`
    `int` | `getVideoRushKeycodeUserBits()`
    `int` | `getVideoRushPlanes()`
    `int` | `getVideoRushPlaneSize()`
    `int` | `getVideoRushProductionTCTimeBits()`
    `int` | `getVideoRushProductionTCType()`
    `int` | `getVideoRushProductionTCUserBits()`
    `int` | `getVideoRushRenderable()`
    `int` | `getVideoRushScanType()`
    `int` | `getVideoRushVtrTCTimeBits()`
    `int` | `getVideoRushVtrTCType()`
    `int` | `getVideoRushVtrTCUserBits()`
    `int` | `getVideoRushWhiteLevel()`
    `int` | `getVideoRushXAspect()`
    `int` | `getVideoRushXSize()`
    `int` | `getVideoRushYAspect()`
    `int` | `getVideoRushYSize()`
    `void` | `setAudioRushChannels(Integer videoRushProductionTCUserBits)`
    `void` | `setAudioRushFrameRateDenominator(Integer audioRushFrameRateDenominator)`
    `void` | `setAudioRushFrameRateNumerator(Integer audioRushFrameRateNumerator)`
    `void` | `setAudioRushSampleBits(Integer audioRushSampleBits)`
    `void` | `setRemoteRushBlob(Stream remoteRushBlob)`
    `void` | `setRushFileIsMultipleFrames(Integer rushFileIsMultipleFrames)`
    `void` | `setRushFilePath(String rushFilePath)`
    `void` | `setRushIngestTC(Integer audioRushFrameRateDenominator)`
    `void` | `setRushIngestTCDropFrame(Integer rushIngestTCDropFrame)`
    `void` | `setRushIngestTCFPS(Integer rushIngestTCFPS)`
    `void` | `setRushIsFileSequence(int rushIsFileSequence)`
    `void` | `setVideoRushBlackLevel(Integer videoRushBlackLevel)`
    `void` | `setVideoRushChromaRange(Integer videoRushChromaRange)`
    `void` | `setVideoRushColourFormat(Integer videoRushColourFormat)`
    `void` | `setVideoRushCompression(Integer videoRushCompression)`
    `void` | `setVideoRushDominance(Integer videoRushDominance)`
    `void` | `setVideoRushFirstLineIsF2(Integer videoRushFirstLineIsF2)`
    `void` | `setVideoRushFormatFlags(Integer videoRushFormatFlags)`
    `void` | `setVideoRushHosepipedRight(Integer videoRushHosepipedRight)`
    `void` | `setVideoRushKeycodeTimeBits(Integer videoRushKeycodeTimeBits)`
    `void` | `setVideoRushKeycodeType(Integer videoRushKeycodeType)`
    `void` | `setVideoRushKeycodeUserBits(Integer videoRushKeycodeUserBits)`
    `void` | `setVideoRushPlanes(Integer videoRushPlanes)`
    `void` | `setVideoRushPlaneSize(Integer videoRushPlaneSize)`
    `void` | `setVideoRushProductionTCTimeBits(Integer videoRushProductionTCTimeBits)`
    `void` | `setVideoRushProductionTCType(Integer videoRushProductionTCType)`
    `void` | `setVideoRushProductionTCUserBits(Integer videoRushProductionTCUserBits)`
    `void` | `setVideoRushRenderable(Integer videoRushRenderable)`
    `void` | `setVideoRushScanType(Integer avideoRushScanType)`
    `void` | `setVideoRushVtrTCTimeBits(Integer videoRushVtrTCTimeBits)`
    `void` | `setVideoRushVtrTCType(Integer videoRushVtrTCType)`
    `void` | `setVideoRushVtrTCUserBits(Integer videoRushVtrTCUserBits)`
    `void` | `setVideoRushWhiteLevel(Integer videoRushWhiteLevel)`
    `void` | `setVideoRushXAspect(Integer videoRushXAspect)`
    `void` | `setVideoRushXSize(Integer videoRushXSize)`
    `void` | `setVideoRushYAspect(Integer videoRushYAspect)`
    `void` | `setVideoRushYSize(Integer videoRushYSize)`

    - ### Methods inherited from interface tv.amwa.maj.model.MaterialPackage

      `addMaterialTrack, appendPhysSourceRef, clone, countChannels, createEssence, createEventEssence, createMultiEssence, createStaticEssence, extendEssence, extendMultiEssence, getCriteriaSegment, getNumberOfRepresentations, getPackageMarker, getRepresentation, getTapeName, newPhysSourceRef, openEssence, openMultiEssence, setPackageMarker`

    - ### Methods inherited from interface tv.amwa.maj.model.Package

      `appendNewEventTrack, appendNewStaticTrack, appendNewTimelineTrack, appendPackageAttribute, appendPackageAttribute, appendPackageKLVData, appendPackageTrack, appendPackageUserComment, appendPackageUserComment, changeReference, clearPackageAttributes, clearPackageKLVData, clearPackageTracks, clearPackageUserComments, cloneExternal, copy, countPackageAttributes, countPackageKLVData, countPackageTracks, countPackageUserComments, getCreationTime, getPackageAttributes, getPackageID, getPackageKLVData, getPackageLastModified, getPackageName, getPackageTrackAt, getPackageTracks, getPackageUsage, getPackageUserComments, insertPackageTrackAt, lookupPackageTrack, offsetToPackageTimecode, prependPackageTrack, removePackageAttribute, removePackageKLVData, removePackageTrackAt, removePackageUserComment, setCreationTime, setPackageID, setPackageLastModified, setPackageName, setPackageUsage`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getAUID, getWeakTargetReference`

- - ### Method Detail

    - #### getRushIngestTCDropframe

          @Int32
          int getRushIngestTCDropframe()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushIngestTCDropFrame

          void setRushIngestTCDropFrame(@Int32
                                        Integer rushIngestTCDropFrame)

    - #### getVideoRushFirstLineIsF2

          @Int32
          int getVideoRushFirstLineIsF2()
                                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushFirstLineIsF2

          void setVideoRushFirstLineIsF2(@Int32
                                         Integer videoRushFirstLineIsF2)

    - #### getVideoRushChromaRange

          @UInt32
          int getVideoRushChromaRange()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushChromaRange

          void setVideoRushChromaRange(@UInt32
                                       Integer videoRushChromaRange)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushProductionTCUserBits

          @UInt32
          int getVideoRushProductionTCUserBits()
                                                throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushProductionTCUserBits

          void setVideoRushProductionTCUserBits(@UInt32
                                                Integer videoRushProductionTCUserBits)
                                         throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getAudioRushChannels

          @UInt32
          int getAudioRushChannels()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setAudioRushChannels

          void setAudioRushChannels(@UInt32
                                    Integer videoRushProductionTCUserBits)
                             throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushProductionTCType

          @UInt32
          int getVideoRushProductionTCType()
                                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushProductionTCType

          void setVideoRushProductionTCType(@UInt32
                                            Integer videoRushProductionTCType)
                                     throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushKeycodeUserBits

          @UInt32
          int getVideoRushKeycodeUserBits()
                                           throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushKeycodeUserBits

          void setVideoRushKeycodeUserBits(@UInt32
                                           Integer videoRushKeycodeUserBits)
                                    throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushYAspect

          @UInt32
          int getVideoRushYAspect()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushYAspect

          void setVideoRushYAspect(@UInt32
                                   Integer videoRushYAspect)
                            throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushProductionTCTimeBits

          @UInt32
          int getVideoRushProductionTCTimeBits()
                                                throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushProductionTCTimeBits

          void setVideoRushProductionTCTimeBits(@UInt32
                                                Integer videoRushProductionTCTimeBits)
                                         throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushDominance

          @Int32
          int getVideoRushDominance()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushDominance

          void setVideoRushDominance(@Int32
                                     Integer videoRushDominance)

    - #### getVideoRushBlackLevel

          @UInt32
          int getVideoRushBlackLevel()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushBlackLevel

          void setVideoRushBlackLevel(@UInt32
                                      Integer videoRushBlackLevel)
                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getAudioRushSampleBits

          @UInt32
          int getAudioRushSampleBits()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setAudioRushSampleBits

          void setAudioRushSampleBits(@UInt32
                                      Integer audioRushSampleBits)
                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getRushIngestTCFPS

          @Int32
          int getRushIngestTCFPS()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushIngestTCFPS

          void setRushIngestTCFPS(@Int32
                                  Integer rushIngestTCFPS)

    - #### getVideoRushPlaneSize

          @UInt32
          int getVideoRushPlaneSize()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushPlaneSize

          void setVideoRushPlaneSize(@UInt32
                                     Integer videoRushPlaneSize)
                              throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushVtrTCType

          @UInt32
          int getVideoRushVtrTCType()
                                     throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushVtrTCType

          void setVideoRushVtrTCType(@UInt32
                                     Integer videoRushVtrTCType)
                              throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getAudioRushFrameRateNumerator

          @Int32
          int getAudioRushFrameRateNumerator()
                                             throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setAudioRushFrameRateNumerator

          void setAudioRushFrameRateNumerator(@Int32
                                              Integer audioRushFrameRateNumerator)

    - #### getRushFilePath

          String getRushFilePath()
                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushFilePath

          void setRushFilePath(String rushFilePath)

    - #### getRushIsFileSequence

          @Int32
          int getRushIsFileSequence()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushIsFileSequence

          void setRushIsFileSequence(@Int32
                                     int rushIsFileSequence)

    - #### getVideoRushRenderable

          @UInt32
          int getVideoRushRenderable()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushRenderable

          void setVideoRushRenderable(@UInt32
                                      Integer videoRushRenderable)
                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushHosepipedRight

          @UInt32
          int getVideoRushHosepipedRight()
                                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushHosepipedRight

          void setVideoRushHosepipedRight(@UInt32
                                          Integer videoRushHosepipedRight)
                                   throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushCompression

          @UInt32
          int getVideoRushCompression()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushCompression

          void setVideoRushCompression(@UInt32
                                       Integer videoRushCompression)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getRemoteRushBlob

          Stream getRemoteRushBlob()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRemoteRushBlob

          void setRemoteRushBlob(Stream remoteRushBlob)

    - #### getVideoRushXSize

          @UInt32
          int getVideoRushXSize()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushXSize

          void setVideoRushXSize(@UInt32
                                 Integer videoRushXSize)
                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushVtrTCTimeBits

          @UInt32
          int getVideoRushVtrTCTimeBits()
                                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushVtrTCTimeBits

          void setVideoRushVtrTCTimeBits(@UInt32
                                         Integer videoRushVtrTCTimeBits)
                                  throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushYSize

          @UInt32
          int getVideoRushYSize()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushYSize

          void setVideoRushYSize(@UInt32
                                 Integer videoRushYSize)
                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushColourFormat

          @UInt32
          int getVideoRushColourFormat()
                                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushColourFormat

          void setVideoRushColourFormat(@UInt32
                                        Integer videoRushColourFormat)
                                 throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushKeycodeTimeBits

          @UInt32
          int getVideoRushKeycodeTimeBits()
                                           throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushKeycodeTimeBits

          void setVideoRushKeycodeTimeBits(@UInt32
                                           Integer videoRushKeycodeTimeBits)
                                    throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushVtrTCUserBits

          @UInt32
          int getVideoRushVtrTCUserBits()
                                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushVtrTCUserBits

          void setVideoRushVtrTCUserBits(@UInt32
                                         Integer videoRushVtrTCUserBits)
                                  throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushFormatFlags

          @UInt32
          int getVideoRushFormatFlags()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushFormatFlags

          void setVideoRushFormatFlags(@UInt32
                                       Integer videoRushFormatFlags)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushScanType

          @Int32
          int getVideoRushScanType()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushScanType

          void setVideoRushScanType(@Int32
                                    Integer avideoRushScanType)

    - #### getRushFileIsMultipleFrames

          @Int32
          int getRushFileIsMultipleFrames()
                                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushFileIsMultipleFrames

          void setRushFileIsMultipleFrames(@Int32
                                           Integer rushFileIsMultipleFrames)

    - #### getAudioRushFrameRateDenominator

          @Int32
          int getAudioRushFrameRateDenominator()
                                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setAudioRushFrameRateDenominator

          void setAudioRushFrameRateDenominator(@Int32
                                                Integer audioRushFrameRateDenominator)

    - #### getVideoRushPlanes

          @UInt32
          int getVideoRushPlanes()
                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushPlanes

          void setVideoRushPlanes(@UInt32
                                  Integer videoRushPlanes)
                           throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getRushIngestTC

          @Int32
          int getRushIngestTC()
                              throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushIngestTC

          void setRushIngestTC(@Int32
                               Integer audioRushFrameRateDenominator)

    - #### getVideoRushWhiteLevel

          @UInt32
          int getVideoRushWhiteLevel()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushWhiteLevel

          void setVideoRushWhiteLevel(@UInt32
                                      Integer videoRushWhiteLevel)
                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushKeycodeType

          @UInt32
          int getVideoRushKeycodeType()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushKeycodeType

          void setVideoRushKeycodeType(@UInt32
                                       Integer videoRushKeycodeType)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getVideoRushXAspect

          @UInt32
          int getVideoRushXAspect()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setVideoRushXAspect

          void setVideoRushXAspect(@UInt32
                                   Integer videoRushXAspect)
                            throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.